1. Invoices
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Invoices

Get Invoice

GET
/invoices/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://portal.litpro.com/api/v1/invoices/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": 0,
        "client": "string",
        "amount": 0,
        "invoiced_on": "string",
        "invoice_number": "string",
        "invoice_balance": 0,
        "invoice_balance_due_on": "string",
        "line_items": [
            {
                "description": "string",
                "amount": 0,
                "project": "string",
                "program": "string",
                "claimant_id": 0
            }
        ]
    }
}
Modified at 2026-01-28 14:55:04
Previous
Get Invoices
Next
Settlements